show env vars
curl --request GET \
--url https://console.vast.ai/api/v0/secrets/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/secrets/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/secrets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"secrets": {}
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=5.0"
}Accounts
show env vars
Retrieve a list of environment variables (secrets) for the authenticated user.
CLI Usage: vastai show env-vars [-s]
GET
/
api
/
v0
/
secrets
/
show env vars
⌘I